<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'trading',

    /*
     * Modules.
     */
    'modules'   => ['trading_setting'],

    
    'trading_setting'       => [
        'model' => [
            'model'                 => \Litecms\Trading\Models\TradingSetting::class,
            'table'                 => 'trading_settings',
            'presenter'             => \Litecms\Trading\Repositories\Presenter\TradingSettingPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['profit',  'loss',  'interest_period_type',  'investment_duration',  'investment_duration_type'],
            'translatables'         => [],
            'upload_folder'         => 'trading/trading_setting',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Trading',
            'module'    => 'TradingSetting',
        ],

    ],
];
