<?php

namespace Litecms\Trading\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TradingSettingTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Trading\Models\TradingSetting $trading_setting)
    {
        return [
            'id'                => $trading_setting->getRouteKey(),
            'key'               => [
                'public'    => $trading_setting->getPublicKey(),
                'route'     => $trading_setting->getRouteKey(),
            ], 
            'profit'            => $trading_setting->profit,
            'loss'              => $trading_setting->loss,
            'interest_period_type' => $trading_setting->interest_period_type,
            'investment_duration' => $trading_setting->investment_duration,
            'investment_duration_type' => $trading_setting->investment_duration_type,
            'url'               => [
                'public'    => trans_url('trading/'.$trading_setting->getPublicKey()),
                'user'      => guard_url('trading/trading_setting/'.$trading_setting->getRouteKey()),
            ], 
            'status'            => trans('app.'.$trading_setting->status),
            'created_at'        => format_date($trading_setting->created_at),
            'updated_at'        => format_date($trading_setting->updated_at),
        ];
    }
}