<?php

namespace Litecms\Trading;

use User;

class Trading
{
    /**
     * $trading_setting object.
     */
    protected $trading_setting;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Trading\Interfaces\TradingSettingRepositoryInterface $trading_setting)
    {
        $this->trading_setting = $trading_setting;
    }

    /**
     * Returns count of trading.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.trading_setting.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->trading_setting->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\TradingSettingUserCriteria());
        }

        $trading_setting = $this->trading_setting->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('trading::' . $view, compact('trading_setting'))->render();
    }
}
